#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OmniFoundation

PROJECTVERSION = 2.8
PROJECT_TYPE = Framework

CLASSES = OFAsynchronousDOServer.m OFAutoreleasedMemory.m\
          OFBundledClass.m OFBundleRegistry.m OFCapitalizeFormatter.m\
          OFCondition.m OFControllerNotifications.m OFDateFormatter.m\
          OFDOServer.m OFEnrichedTextReader.m OFForwardObject.m\
          OFObject.m OFRegularExpression.m OFRegularExpressionMatch.m\
          OFRetainableObject.m OFRTFGenerator.m\
          OFSimpleStringFormatter.m OFStateFormatter.m OFStaticObject.m\
          OFStringScanner.m OFTelephoneFormatter.m\
          OFUppercaseFormatter.m OFUserDefaults.m OFZipCodeFormatter.m\
          OFZone.m

HFILES = FrameworkDefines.h OFAsynchronousDOServer.h\
         OFAutoreleasedMemory.h OFBundledClass.h OFBundleRegistry.h\
         OFByteOrder.h OFCapitalizeFormatter.h OFCondition.h\
         OFControllerNotifications.h OFDateFormatter.h\
         OFDictionaryInitialization.h OFDOServer.h\
         OFDOServerDelegateProtocol.h OFEnrichedTextReader.h\
         OFForwardObject.h OFObject.h OFRegularExpression.h\
         OFRegularExpressionMatch.h OFRetainableObject.h\
         OFRTFGenerator.h OFSimpleLock-hppa.h OFSimpleLock-i386.h\
         OFSimpleLock-m68k.h OFSimpleLock-pdo-sparc.h OFSimpleLock-ppc.h\
         OFSimpleLock-sparc.h OFSimpleLock.h OFSimpleStringFormatter.h\
         OFStateFormatter.h OFStaticObject.h OFStringScanner.h\
         OFTelephoneFormatter.h OFUppercaseFormatter.h OFUserDefaults.h\
         OFUtilities.h OFZipCodeFormatter.h OFZone.h\
         OmniFoundation-private.h OmniFoundation.h

MFILES = OFUtilities.m

SUBPROJECTS = DataStructures.subproj FileManagement.subproj\
              OpenStepExtensions.subproj Scheduling.subproj

OTHERSRCS = CustomInfo.plist h.template m.template Makefile\
            Makefile.postamble Makefile.preamble OmniSourceLicense.html


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = 1999B
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = framework.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
WINDOWS_INSTALLDIR = $(OMNI_FRAMEWORKS)
PDO_UNIX_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORK_PATHS = -F$(OMNI_FRAMEWORKS)
NEXTSTEP_PB_CFLAGS = -Wall -O2
WINDOWS_PB_CFLAGS = -Wall -O2 -D _NSBUILDING_$(NAME)_DLL
PDO_UNIX_PB_CFLAGS = -Wall -O2
FRAMEWORKS = -framework Foundation -framework OmniBase -framework System
PUBLIC_HEADERS = FrameworkDefines.h OFAsynchronousDOServer.h\
                 OFAutoreleasedMemory.h OFBundledClass.h\
                 OFBundleRegistry.h OFByteOrder.h\
                 OFCapitalizeFormatter.h OFCondition.h\
                 OFControllerNotifications.h OFDateFormatter.h\
                 OFDictionaryInitialization.h OFDOServer.h\
                 OFDOServerDelegateProtocol.h OFEnrichedTextReader.h\
                 OFForwardObject.h OFObject.h OFRegularExpression.h\
                 OFRegularExpressionMatch.h OFRetainableObject.h\
                 OFRTFGenerator.h OFSimpleLock-hppa.h\
                 OFSimpleLock-i386.h OFSimpleLock-m68k.h\
                 OFSimpleLock-pdo-sparc.h OFSimpleLock-ppc.h\
                 OFSimpleLock-sparc.h OFSimpleLock.h\
                 OFSimpleStringFormatter.h OFStaticObject.h\
                 OFStringScanner.h OFTelephoneFormatter.h\
                 OFUppercaseFormatter.h OFUserDefaults.h OFUtilities.h\
                 OFZone.h OmniFoundation.h OFStateFormatter.h\
                 OFZipCodeFormatter.h

PROJECT_HEADERS = FrameworkDefines.h

PRECOMPILED_HEADERS = OmniFoundation.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

WINDOWS_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

PDO_UNIX_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(JDKBINDIR)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
